### Constructor

# Gtk IconView new_with_model

#### Declaration [src]

    GtkWidget*
    gtk_icon_view_new_with_model (
      GtkTreeModel* model
    )

#### Description [src]

Creates a new `GtkIconView` widget with the model `model`.

#### Parameters

`model` | `GtkTreeModel`
| The model.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A newly created `GtkIconView` widget.
| The data is owned by the called function.